using Microsoft.VisualBasic.CompilerServices;
using System;

//namespace SE0085.StCl
namespace FAS_LIB
{
    public class scOrderImportInfo : scOrderLinesExt
    {
        private scPlants _SEPlant;
        private scLevels _AssemblyLine;
        private int _OrderId;
        private string _OrderFO;
        private string _OrderJobName;
        private string _OrderPurchaser;
        private string _OrderLineDesc1;
        private string _OrderLineNum;
        private int _OrderLineQty;
        private string _OrderLineSS;
        private string _OrderLineSL;
        private DateTime _OrderLineTargetDt;
        private DateTime _OrderLineShipDt;
        private DateTime _OrderLineShippedDt;
        private bool _OrderLineShipped;
        private int _OrdSectsId;
        private int _OrdSectsNum;
        private int _OrdSectsCnt;

        public int SEPlantId
        {
            get
            {
                return this._SEPlant.PlantId;
            }
            set
            {
                this._SEPlant.PlantId = value;
            }
        }

        public scPlants SEPlant
        {
            get
            {
                return this._SEPlant;
            }
            set
            {
                this._SEPlant = value;
            }
        }

        public int AssemblyLineId
        {
            get
            {
                return this._AssemblyLine.LevelId;
            }
            set
            {
                this._AssemblyLine.LevelId = value;
            }
        }

        public scLevels AssemblyLine
        {
            get
            {
                return this._AssemblyLine;
            }
            set
            {
                this._AssemblyLine = value;
            }
        }

        public string AssemblyLineAbbrv
        {
            get
            {
                return this._AssemblyLine.LevelAbbrv;
            }
        }

        public int OrderId
        {
            get
            {
                return this._OrderId;
            }
            set
            {
                this._OrderId = value;
            }
        }

        public string OrderFO
        {
            get
            {
                return this._OrderFO;
            }
            set
            {
                this._OrderFO = value;
            }
        }

        public string FOLineSLSS
        {
            get
            {
                return this._OrderFO + this._OrderLineNum + this._OrderLineSL + this._OrderLineSS;
            }
        }

        public string OrderJobName
        {
            get
            {
                return this._OrderJobName;
            }
            set
            {
                this._OrderJobName = value;
            }
        }

        public string OrderPurchaser
        {
            get
            {
                return this._OrderPurchaser;
            }
            set
            {
                this._OrderPurchaser = value;
            }
        }

        public string OrderLineDesc1
        {
            get
            {
                return this._OrderLineDesc1;
            }
            set
            {
                this._OrderLineDesc1 = value;
            }
        }

        public string OrderLineNum
        {
            get
            {
                return this._OrderLineNum;
            }
            set
            {
                this._OrderLineNum = value;
            }
        }

        public int OrderLineQty
        {
            get
            {
                return this._OrderLineQty;
            }
            set
            {
                this._OrderLineQty = value;
            }
        }

        public string OrderLineSS
        {
            get
            {
                return this._OrderLineSS;
            }
            set
            {
                this._OrderLineSS = value;
            }
        }

        public string OrderLineSL
        {
            get
            {
                return this._OrderLineSL;
            }
            set
            {
                this._OrderLineSL = value;
            }
        }

        public DateTime OrderLineTargetDt
        {
            get
            {
                return this._OrderLineTargetDt;
            }
            set
            {
                this._OrderLineTargetDt = value;
            }
        }

        public DateTime OrderLineShipDt
        {
            get
            {
                return this._OrderLineShipDt;
            }
            set
            {
                this._OrderLineShipDt = value;
            }
        }

        public DateTime OrderLineShippedDt
        {
            get
            {
                return this._OrderLineShippedDt;
            }
            set
            {
                this._OrderLineShippedDt = value;
            }
        }

        public bool OrderLineShipped
        {
            get
            {
                return this._OrderLineShipped;
            }
            set
            {
                this._OrderLineShipped = value;
            }
        }

        public int OrdSectsId
        {
            get
            {
                return this._OrdSectsId;
            }
            set
            {
                this._OrdSectsId = value;
            }
        }

        public int OrdSectsNum
        {
            get
            {
                return this._OrdSectsNum;
            }
            set
            {
                this._OrdSectsNum = value;
            }
        }

        public int OrdSectsCnt
        {
            get
            {
                return this._OrdSectsCnt;
            }
            set
            {
                this._OrdSectsCnt = value;
            }
        }

        public scOrderImportInfo()
        {
            this._SEPlant = new scPlants();
            this._AssemblyLine = new scLevels();
            this._OrderId = 0;
            this._OrderFO = "";
            this._OrderJobName = "";
            this._OrderPurchaser = "";
            this._OrderLineNum = "";
            this._OrderLineQty = 1;
            this._OrderLineSS = "";
            this._OrderLineSL = "";
            this._OrderLineTargetDt = Conversions.ToDate("01/01/1901");
            this._OrderLineShipDt = Conversions.ToDate("01/01/1901");
            this._OrderLineShippedDt = Conversions.ToDate("01/01/1901");
            this._OrderLineShipped = false;
            this._OrdSectsId = 0;
            this._OrdSectsNum = 0;
            this._OrdSectsCnt = 0;
        }
    }
}
